Package twisted :: Package spread :: Module flavors :: Class RemoteCache

[frames | no frames]

## Class RemoteCache

    Unjellyable --+
                  |
         RemoteCopy --+
                      |
      Jellyable --+   |
                  |   |
       Serializable --+
                      |
                     RemoteCache

Known Subclasses:
  `RemotePublished`

A cache is a local representation of a remote `Cacheable` object.

This represents the last known state of this object. It may also have methods invoked on it -- in order to update caches, the cached class generates a `pb.RemoteReference` to this object as it is originally sent.

Much like copy, I will be invoked with no arguments. Do not implement a constructor that requires arguments in one of my subclasses.

Method Summary
| ``__cmp__`(self, other)` Compare me [to another RemoteCache.
| ``__del__`(self)` Do distributed reference counting on finalize.
| ``__hash__`(self)` Hash me.
| ``jellyFor`(self, jellier)` serialize me (only for the broker I'm for) as the original cached reference
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
| `unjellyFor(self, unjellier, jellyList)`
Inherited from RemoteCopy
| ``setCopyableState`(self, state)` I will be invoked with the state to copy locally.
Inherited from Unjellyable
| ``setStateFor`(self, unjellier, state)`
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
`NoneType` | `broker` = None
`NoneType` | `luid` = None
Inherited from Unjellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IUnje...`

Method Details

### __cmp__(self, other)
(Comparison operator)

Compare me [to another RemoteCache.

### __del__(self)
(Destructor)

Do distributed reference counting on finalize.

### __hash__(self)
(Hashing function)

Hash me.

### jellyFor(self, jellier)

serialize me (only for the broker I'm for) as the original cached reference

  Overrides:
    `twisted.spread.jelly.Jellyable.jellyFor`

### remoteMessageReceived(self, broker, message, args, kw)

A remote message has been received. Dispatch it appropriately.

The default implementation is to dispatch to a method called '`observe_messagename`' and call it on my with the same arguments.

Class Variable Details

### broker

  Type:
    `NoneType`
  Value:

        None

### luid

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:37 2004 | http://epydoc.sf.net